This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 106782 - updfstab does not recognize my USB key
updfstab does not recognize my USB key
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kudzu (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-10 11:10 EDT by diego.santacruz
Modified: 2014-03-16 22:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-16 00:42:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description diego.santacruz 2003-10-10 11:10:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
My USB key is not recognized:

kudzu -p reports it as

class: HD
bus: SCSI
detached: 0
device: sda
driver: ignore
desc: "Jungsoft NEXDISK"
host: 1
id: 0
channel: 0
lun: 0
generic: sg0

And its has a VFAT fs on partition 1 (sda1)

The /etc/updfstab entry

device usbkey {
    partition 1
    match hd "DISK"
}

makes it work with updfstab.

Version-Release number of selected component (if applicable):
kudzu-1.1.32-1
Comment 1 Bill Nottingham 2003-10-10 11:25:59 EDT
Hm, this really needs a namespace somehow; we already have 'diskonkey' for some
usb key devices.
Comment 2 diego.santacruz 2003-10-10 15:18:06 EDT
But diskOnKey is using partition 0, not 1. What is also probably needed is a
multiple partition possibility (i.e. try if there is a partition 1, otherwise
use all device).
Comment 3 David Kewley 2003-10-22 04:03:41 EDT
I just figured out the whole updfstab, hotplug, etc. stuff tonight (at least to a level that 
satisfies me for the moment).  I similarly made an additional entry in /etc/updfstab.conf for my 
USB camera and for a USB key-disk. 
 
I'm interested in what's going to happen here long-term.  It'd be nice to support more 
usb-storage cameras and usb key-disks out of the box, in a rational way.  I can see that a 
database for most USB cameras and key-disks could get quite large, and take some work to 
maintain, like other device databases. 
 
I see that in Bug 105939, the patch puts the key-disk entry into the 'device flash' stanza, 
despite the fact that the device is a key-disk not a flash reader.  Here we make a new device 
(which should also be added to /etc/security/console.perms).  I agree about namespaces and 
the multiple partition possibility. 
 
For a really good device database, it'd be nice to use e.g. the USB vendorId and deviceId 
instead of the desc string in the corresponding SCSI device, which almost certainly cannot be 
made unique.  Is it possible in userspace to map them (presumably from data maintained by 
the usb-storage kernel module)? 
 
David 
 
Comment 4 David Kewley 2003-10-22 04:09:46 EDT
Would it be worth discussing the general issues in fedora-devel-list? 
 
David 
 
Comment 5 Bill Nottingham 2003-10-22 11:10:39 EDT
It couldn't hurt. Note that there's not a direct mapping back from usb-storage
host adapter to the usb vendor/device ID, as I recall.

What I think makes more sense is to map devices based on their description, into
various classes, and not worry so much about the active partition as a
distinguisher, in the short term, but that's still the next release.

Future solutions certainly involve udev & sysfs.
Comment 6 Bill Nottingham 2004-04-16 00:42:07 EDT
NEXDISK added to the 'flash' entry in hwdata-0.116-1.

Note You need to log in before you can comment on or make changes to this bug.